org.apache.tinkerpop.gremlin.process.traversal.engine

## Class StandardTraversalEngine

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.engine.StandardTraversalEngine

- All Implemented Interfaces:
    Serializable, TraversalEngine

  Deprecated.
  As of release 3.2.0. Please use `Graph.traversal(Class)`.

      @Deprecated
      public final class StandardTraversalEngine
      extends Object
      implements TraversalEngine

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StandardTraversalEngine.Builder` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalEngine

      `TraversalEngine.Type`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardTraversalEngine.Builder` | `build()` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `Optional<GraphComputer>` | `getGraphComputer()` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `TraversalEngine.Type` | `getType()` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `static StandardTraversalEngine` | `instance()` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
    `String` | `toString()` Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalEngine

      `isComputer, isStandard`

- - ### Method Detail

    - #### getType

          @Deprecated
          public TraversalEngine.Type getType()

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Description copied from interface: `TraversalEngine`
      Get the type of the engine: `TraversalEngine.Type.STANDARD` or `TraversalEngine.Type.COMPUTER`.
      Specified by:
        `getType` in interface `TraversalEngine`
      Returns:
        the traversal engine type

    - #### getGraphComputer

          @Deprecated
          public Optional<GraphComputer> getGraphComputer()

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Description copied from interface: `TraversalEngine`
      If the traversal engine is of type `TraversalEngine.Type.COMPUTER`, then it should have the `GraphComputer` used for executing the traversal.
      Specified by:
        `getGraphComputer` in interface `TraversalEngine`
      Returns:
        an optional of containing the graph computer to be used for execution.

    - #### build

          @Deprecated
          public static StandardTraversalEngine.Builder build()

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - #### instance

          @Deprecated
          public static StandardTraversalEngine instance()

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.

    - #### toString

          @Deprecated
          public String toString()

      Deprecated. As of release 3.2.0. Please use `Graph.traversal(Class)`.
      Overrides:
        `toString` in class `Object`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.